--[[ DocExport
     Export parsable docs as lua data

]]--

all_documentables = Inspect.Documentation()

local addoninfo, DocEx = ...

local p = function(s) Command.Console.Display('general', false, s, false) end

function DocEx.variables_loaded(event, name)
  if name == 'DocExport' then
    DocExport = DocExport or {}
    local docexport = Command.Slash.Register("docexport")
    if (docexport) then
      Command.Event.Attach(docexport, DocEx.do_export, "/docexport")
      p("To export documentation:  /docexport")
    else
      p("Couldn't register slash command.")
    end
  end
end

function DocEx.do_export(event)
  DocExport = {}
  for item, _ in pairs(all_documentables) do
    DocExport[item] = Inspect.Documentation(item, true)
  end
  p("Docs exported.")
end

Command.Event.Attach(Event.Addon.SavedVariables.Load.End, DocEx.variables_loaded, "variable loaded hook")
